# Class JBbbApi

#### Hierarchy (View Summary)

- JBaseApi
  - JBbbApi

- Defined in jamespot-user-api/src/apis/bbb/bbb.ts:10

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getPublicWebinarData
publicWebinarFullname
recordingDelete
resolveUrl

## Constructors

### constructor

- new JBbbApi(jApi: JamespotUserApi): JBbbApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JBbbApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getPublicWebinarData

- getPublicWebinarData(
  params: { token: string },
  ): Promise<ApiWrapper<{ dateStart: string; title: string }, BaseMessages>>

  #### Parameters

  - params: { token: string }

  #### Returns Promise<ApiWrapper<{ dateStart: string; title: string }, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/bbb/bbb.ts:19

### publicWebinarFullname

- publicWebinarFullname(
  params: { fullname: string; token: string },
  ): Promise<ApiWrapper<{ redirectUrl: string }, BaseMessages>>

  #### Parameters

  - params: { fullname: string; token: string }

  #### Returns Promise<ApiWrapper<{ redirectUrl: string }, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/bbb/bbb.ts:11

### recordingDelete

- recordingDelete(
  id: number,
  filename: string,
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - id: number
  - filename: string
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/bbb/bbb.ts:27

### resolveUrl

- resolveUrl(
  params: { uri: string },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<{ redirectUrl: string }, BaseMessages>>

  #### Parameters

  - params: { uri: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<{ redirectUrl: string }, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/bbb/bbb.ts:45